Package com.saxonica.ee.stream

## Enum Posture

- java.lang.Object
- - java.lang.Enum<Posture>
  - - com.saxonica.ee.stream.Posture

- All Implemented Interfaces:
    `PostureGetter`, `java.io.Serializable`, `java.lang.Comparable<Posture>`

      public enum Posture
      extends java.lang.Enum<Posture>
      implements PostureGetter

  The posture of an expression defines the relationship of the result to a streamed input document, as defined in the XSLT 3.0 specification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLIMBING` |
    `CRAWLING` |
    `GROUNDED` |
    `ROAMING` |
    `STRIDING` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Posture` | `combinedPosture​(java.util.Set<Posture> postures)` | Get the combined posture of a set of postures, as defined in the XSLT 3.0 specification
    `Posture` | `getPosture()` |
    `boolean` | `isIncremental()` | Test whether this posture is either striding or crawling
    `java.lang.String` | `toString()` |
    `static Posture` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Posture[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GROUNDED

          public static final Posture GROUNDED

    - #### CLIMBING

          public static final Posture CLIMBING

    - #### STRIDING

          public static final Posture STRIDING

    - #### CRAWLING

          public static final Posture CRAWLING

    - #### ROAMING

          public static final Posture ROAMING

  - ### Method Detail

    - #### values

          public static Posture[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Posture c : Posture.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Posture valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPosture

          public Posture getPosture()

      Specified by:
        `getPosture` in interface `PostureGetter`

    - #### isIncremental

          public boolean isIncremental()

      Test whether this posture is either striding or crawling
      Returns:
        true if this posture is either striding or crawling

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Posture>`

    - #### combinedPosture

          public static Posture combinedPosture​(java.util.Set<Posture> postures)

      Get the combined posture of a set of postures, as defined in the XSLT 3.0 specification
      Parameters:
        `postures` - the set of postures
      Returns:
        the combined posture